Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.propono.atom.common
Class Categories

    java.lang.Object
      com.sun.syndication.propono.atom.common.Categories

Direct Known Subclasses:
  ClientCategories

    public class Categories

extends Object

Models an Atom protocol Categories element, which may contain ROME Atom `Category` elements.

Constructor Summary
`Categories()`
`Categories(org.jdom.Element e, String baseURI)` Load select from XML element

Method Summary
`void` | `addCategory(Category cat)` Add category list of those specified
`org.jdom.Element` | `categoriesToElement()`
`List` | `getCategories()` Iterate over Category objects
`String` | `getHref()` URI of out-of-line categories
`String` | `getHrefResolved()` Get unresolved URI of the collection, or null if impossible to determine
`String` | `getScheme()` Category URI scheme to use for Categories without a scheme
`boolean` | `isFixed()` True if clients MUST use one of the categories specified
`protected void` | `parseCategoriesElement(org.jdom.Element catsElem)`
`void` | `setFixed(boolean fixed)` True if clients MUST use one of the categories specified
`void` | `setHref(String href)` URI of out-of-line categories
`void` | `setScheme(String scheme)` Category URI scheme to use for Categories without a scheme

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Categories

    public Categories()

### Categories

    public Categories(org.jdom.Element e,
                      String baseURI)

  Load select from XML element

Method Detail

### addCategory

    public void addCategory(Category cat)

  Add category list of those specified

### getCategories

    public List getCategories()

  Iterate over Category objects

  Returns:
    List of ROME Atom `Category`

### isFixed

    public boolean isFixed()

  True if clients MUST use one of the categories specified

### setFixed

    public void setFixed(boolean fixed)

  True if clients MUST use one of the categories specified

### getScheme

    public String getScheme()

  Category URI scheme to use for Categories without a scheme

### setScheme

    public void setScheme(String scheme)

  Category URI scheme to use for Categories without a scheme

### getHref

    public String getHref()

  URI of out-of-line categories

### setHref

    public void setHref(String href)

  URI of out-of-line categories

### getHrefResolved

    public String getHrefResolved()

  Get unresolved URI of the collection, or null if impossible to determine

### categoriesToElement

    public org.jdom.Element categoriesToElement()

### parseCategoriesElement

    protected void parseCategoriesElement(org.jdom.Element catsElem)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD